import AutoComplete from './src/auto-complete.vue';
export declare const LlAutoComplete: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/select").DefaultOptionType[]>, unknown, unknown, () => any[], boolean>;
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly allowClear: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly bordered: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly caseSensitive: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly filterOption: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<boolean | ((input: string, option: {
        value: string;
    }) => boolean)>, unknown, unknown, true, boolean>;
    readonly isMultiLine: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly expandOpportunity: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "change" | "focus" | "character", unknown, "focus", boolean>;
    readonly triggerCharacter: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly appendMode: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly appendCharacter: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly ignoreSelection: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
}>, {
    attrs: import("vue").Attrs;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/select").DefaultOptionType[]>, unknown, unknown, () => any[], boolean>;
        readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly allowClear: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly bordered: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly caseSensitive: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly filterOption: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<boolean | ((input: string, option: {
            value: string;
        }) => boolean)>, unknown, unknown, true, boolean>;
        readonly isMultiLine: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly expandOpportunity: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "change" | "focus" | "character", unknown, "focus", boolean>;
        readonly triggerCharacter: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly appendMode: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly appendCharacter: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly ignoreSelection: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    }>> & Readonly<{
        onSelect?: (...args: any[]) => any;
        onBlur?: (...args: any[]) => any;
        onChange?: (...args: any[]) => any;
        onFocus?: (...args: any[]) => any;
        "onUpdate:value"?: (...args: any[]) => any;
    }> & {}>;
    emits: (event: "select" | "blur" | "change" | "focus" | "update:value", ...args: any[]) => void;
    isBlur: import("vue").Ref<boolean, boolean>;
    innerValue: import("vue").WritableComputedRef<string, string>;
    open: import("vue").ComputedRef<boolean>;
    newFilterOption: import("vue").ComputedRef<(input: string, option: {
        value: string;
    }) => boolean>;
    defaultFilterOption: (input: string, option: {
        value: string;
    }) => boolean;
    filterOption: (input: string, option: {
        value: string;
    }) => boolean;
    handleKeyDown: (e: KeyboardEvent, type: string) => void;
    onSelect: (value: string) => void;
    handleBlur: () => void;
    handleFocus: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "blur" | "change" | "focus" | "update:value")[], "select" | "blur" | "change" | "focus" | "update:value", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/select").DefaultOptionType[]>, unknown, unknown, () => any[], boolean>;
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly allowClear: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly bordered: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly caseSensitive: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly filterOption: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<boolean | ((input: string, option: {
        value: string;
    }) => boolean)>, unknown, unknown, true, boolean>;
    readonly isMultiLine: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly expandOpportunity: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "change" | "focus" | "character", unknown, "focus", boolean>;
    readonly triggerCharacter: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly appendMode: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly appendCharacter: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly ignoreSelection: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
}>> & Readonly<{
    onSelect?: (...args: any[]) => any;
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onFocus?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
}>, {
    readonly value: string;
    readonly options: import("ant-design-vue/es/select").DefaultOptionType[];
    readonly placeholder: string;
    readonly filterOption: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<boolean | ((input: string, option: {
        value: string;
    }) => boolean)>, unknown, unknown>;
    readonly bordered: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly allowClear: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly caseSensitive: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly isGray: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly isMultiLine: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly expandOpportunity: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "change" | "focus" | "character", unknown>;
    readonly triggerCharacter: string;
    readonly appendMode: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly appendCharacter: string;
    readonly ignoreSelection: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
export * from './src/auto-complete';
declare module 'vue' {
    interface GlobalComponents {
        LlAutoComplete: typeof AutoComplete;
    }
}
